OpenAPI specification
Release: ActiveSingle operation + dependencies. Includes the request, responses, and referenced schemas for this API—not the full product specification.
Manage party agreements.
/ch/v1/party/agreementsRetrieve disclosures, accept terms of service, or sign a terms-of-service document. agreementType selects the operation.
Showing 8 of 8 top-level parameters (8 total fields) for Retrieve party disclosure
Client-Request-IdRequiredstringheaderUnique request correlation identifier used in HMAC signing.
TimestampRequiredstringheaderUnix epoch timestamp in milliseconds used in HMAC signing.
Auth-Token-TypeRequiredstringheaderAuthentication mechanism used by the request.
Available enum values
Selecting a value updates the request header.
AuthorizationRequiredstringheaderBase64 HMAC-SHA-256 signature; no prefix.
agreementTypeRequiredstringAgreement action to perform.
Available enum values
Selecting a value updates the request body.
partyIdRequiredstringParty identifier.
countrystringCountry filter required for DISCLOSURE.
languagestringOptional ISO 639-1 language filter for DISCLOSURE.
Request
Retrieve party disclosureResponse
Top-level fields returned in a successful (200) response.
gatewayResponseobjectNo description provided for gatewayResponse by the loaded OpenAPI response schema.
agreementTypestringThe agreementType field.
Available enum values
DISCLOSUREDisclosure and compliance agreement document.TERMSOFSERVICETerms of service agreement contract.SIGNATURESigned agreement or consent form.disclosureobjectThe disclosure field.
curl --request POST 'https://connect-cert.fiservapis.net/ch/v1/party/agreements' \
--header 'Client-Request-Id: <Client-Request-Id>' \
--header 'Timestamp: <Timestamp>' \
--header 'Auth-Token-Type: HMAC' \
--header 'Authorization: YOUR_BASE64_HMAC_SIGNATURE' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{
"agreementType": "DISCLOSURE",
"partyId": "100000000010001",
"country": "US",
"language": "en"
}'| HTTP | Description |
|---|---|
| 400 | The request cannot be validated. |
| 401 | The request was unauthorized. |
| 404 | The requested resource does not exist. |
| 408 | The request was timed out due to not receiving the request in time. |
| 415 | The media type is not supported. |
| 425 | The request was sent too early. |
| 429 | Too many request were sent. |
| 500 | An unexpected internal server error occurred. |
| 503 | The service was unavailable. |
| 504 | The request timed out while waiting for a response. |
Single operation + dependencies. Includes the request, responses, and referenced schemas for this API—not the full product specification.
No Postman workflow is mapped to this operation. No product-wide collection is substituted.
QA collections: Configure your environment and credentials before running. Some requests create resources or move funds.